Jump to content
Sign in to follow this  
Administrator

New Panel: Citizenme (USA and UK only)

Recommended Posts

Administrator

Citizenme has been added to SurveyPolice: https://www.surveypolice.com/citizenme

 

Citizenme is a very unique mobile app where you can participate in paid surveys and other activities, but only share as much or as little data as you'd like. The idea is that your data should not be exploited by corporations, but instead, it should be in your hands, working on your behalf.

 

For each paid activity you participate in, the cash reward offered is paid instantly to your PayPal account. There are no points systems to figure out and there are no minimum balances required before you can cash out, nor any PayPal transaction fees.

 

Available to residents of the USA and UK and on both iOS and Android

 

Visit Citizenme here

Share this post


Link to post
Share on other sites
neminem

Well... crud. Citizenme, if you're looking at this: why does it require Android 4.2+? I'd absolutely love to try this - it sounds fantastic, but my phone is on Android 4.1. Is that really essential? :(

Share this post


Link to post
Share on other sites
Administrator

Well... crud. Citizenme, if you're looking at this: why does it require Android 4.2+? I'd absolutely love to try this - it sounds fantastic, but my phone is on Android 4.1. Is that really essential? :(

 

Hi neminem,

 

Apologies for the delayed response. Android 4.2 was released in 2012, so it might be time to consider an upgrade. ;) Doing so should be free, as long as your device is able to run a newer version of the OS.

 

We're not entirely clear on the details as to why the minimum Android OS requirement is version 4.2 for Citizenme, but developers always have to face a choice as to how far back they will develop an app for. These are based on factors that typically surround things like functionality, feature availability, etc. In other words, the older the OS, the more limiting it may potentially be for an app.

Share this post


Link to post
Share on other sites
neminem

Have you actually done that, upgraded your phone's OS? Seems like most phones these days hardly ever let you do that, at least not without rooting and installing a hacked version, which I'm kinda tempted to try for this and other reasons, as more and more apps these days *do* require newer Android versions. (Honestly, I'd happily upgrade my phone itself, if *anyone* would release a proper horizontal slider keyboard phone newer than 2012. I know it's always been a bit of a niche market, but now it's totally dead, and that is sadmaking.)

 

Anyway, I wasn't asking you, obviously you're not their devteam, I was just thinking maybe someone from there would see this thread. They didn't, so I asked directly, and yeah, they use some security features from 4.2 that they can't get around. :(

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×